<?php
if(isset($access['for_f_ed']) && isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='set' && isset($_POST['name']) && isset($_POST['opis']) && isset($_POST['pos'])){
	$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if(isset($_POST['translit1']) && $_POST['translit1']==1){
	$name=translit($name);
	}

if(strlen2($name)<3){
	$err='Слишком короткое название';
	}

if(strlen2($name)>32){
	$err='Слишком днинное название';
	}

$name=mysql_real_escape_string($name);
$opis=esc(stripcslashes(htmlspecialchars($_POST['opis'])));

if(isset($_POST['translit2']) && $_POST['translit2']==1){
	$opis=translit($opis);
	}

if(strlen2($opis)>512){
	$err='Слишком длинное описание';
	}

$opis=mysql_real_escape_string($opis);
$pos=intval($_POST['pos']);

if(!isset($err)){

if($user['level']>=3){

if(isset($_POST['adm']) && $_POST['adm']==1){
	$adm=1;
	}else{
		$adm=0;
		}

mysql_query("UPDATE `forum_f` SET `adm` = '$adm' WHERE `id` = '$forum[id]' LIMIT 1");
}

mysql_query("UPDATE `forum_f` SET `name` = '$name', `opis` = '$opis', `pos` = '$pos' WHERE `id` = '$forum[id]' LIMIT 1");
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '$forum[id]' LIMIT 1"));
msg('Изменения успешно приняты');
}
}

if(isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='delete' && isset($access['for_f_ed'])){
	mysql_query("DELETE FROM `forum_f` WHERE `id` = '$forum[id]'");
	mysql_query("DELETE FROM `forum_r` WHERE `id_forum` = '$forum[id]'");
	mysql_query("DELETE FROM `forum_t` WHERE `id_forum` = '$forum[id]'");
	mysql_query("DELETE FROM `forum_p` WHERE `id_forum` = '$forum[id]'");
	msg('Подфорум успешно удален');

aut();
echo '<div class="menu">';
err();

echo '&#187;&nbsp;<a href="/forum/">В форум</a></div>';
include_once '../sys/inc/tfoot.php';
}

if(isset($access['for_r_cr']) && (isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='new' && isset($_POST['name']))){
	$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if(isset($_POST['translit1']) && $_POST['translit1']==1){
	$name=translit($name);
	}

if(strlen2($name)<2){
	$err='Слишком короткое название';
	}

if(strlen2($name)>32){
	$err='Слишком днинное название';
	}

$name=mysql_real_escape_string($name);

if(!isset($err)){
	mysql_query("INSERT INTO `forum_r` (`id_forum`, `name`, `time`) values('$forum[id]', '$name', '$time')");
	msg('Раздел успешно создан');
	}
	}
?>